﻿using System.Drawing;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace TilesDragAndDropBetweenGroups
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.radPanorama1.PanoramaElement.DragDropService.PreviewDragOver += PreviewDragOver;
        }

        void PreviewDragOver(object sender, RadDragOverEventArgs e)
        {
            Point mousePos = MousePosition;
            Point panoramaPoint = this.radPanorama1.PointToClient(mousePos);
            TileGroupElement groupElement = GetItemGroup((RadTileElement)e.DragInstance);
            e.CanDrop = groupElement.ControlBoundingRectangle.Contains(panoramaPoint);
        }

        private TileGroupElement GetItemGroup(RadTileElement item)
        {
            foreach (TileGroupElement group in this.radPanorama1.Groups)
            {
                if (group.Items.Contains(item))
                {
                    return group;
                }
            }

            return null;
        }
    }
}
